import { AccountInfo } from '../types/accounts';
import { BackendInstance, BackendServices } from '../types/backend';
export interface ECBBackendOptions {
    spread: number;
    ratesApiUrl: string;
    mockData: ECBAPIData;
}
export interface ECBSaxNode {
    name: string;
    attributes: {
        time?: number;
        currency?: string;
        rate?: number;
    };
}
export interface ECBAPIData {
    base: string;
    date?: number;
    rates: {
        [key: string]: number;
    };
}
export default class ECBBackend implements BackendInstance {
    protected spread: number;
    protected ratesApiUrl: string;
    protected getInfo: (accountId: string) => AccountInfo | undefined;
    protected rates: {
        [key: string]: number;
    };
    protected currencies: string[];
    private mockData;
    constructor(opts: ECBBackendOptions, api: BackendServices);
    connect(): Promise<void>;
    _formatAmount(amount: string): string;
    _formatAmountCeil(amount: string): string;
    getRate(sourceAccount: string, destinationAccount: string): Promise<number>;
    submitPayment(): Promise<undefined>;
}
