import { AccountInfo } from '../types/accounts';
import { BackendInstance, BackendServices } from '../types/backend';
export interface OneToOneOptions {
    spread: number;
    ratesApiUrl: string;
    getInfo: (accountId: string) => AccountInfo;
    getAssetCode: (accountId: string) => string;
}
export default class OneToOneBackend implements BackendInstance {
    protected spread: number;
    protected getInfo: (accountId: string) => AccountInfo | undefined;
    constructor(opts: OneToOneOptions, api: BackendServices);
    connect(): Promise<void>;
    getRate(sourceAccount: string, destinationAccount: string): Promise<number>;
    submitPayment(): Promise<void>;
}
