import { AccountInfo } from '../types/accounts';
import { BackendInstance, BackendServices } from '../types/backend';
export interface RandomizerOptions {
    spread: number;
    variation: number;
}
export default class RandomizerBackend implements BackendInstance {
    protected spread: number;
    protected variation: number;
    protected getInfo: (accountId: string) => AccountInfo | undefined;
    constructor(opts: RandomizerOptions, api: BackendServices);
    connect(): Promise<void>;
    getRate(sourceAccount: string, destinationAccount: string): Promise<number>;
    submitPayment(): Promise<void>;
}
