/// <reference types="node" />
import { Config as ConfigSchemaTyping } from '../schemas/Config';
import Ajv = require('ajv');
export default class Config extends ConfigSchemaTyping {
    store: string;
    quoteExpiry: number;
    routeExpiry: number;
    minMessageWindow: number;
    maxHoldTime: number;
    routeBroadcastInterval: number;
    protected _validate: Ajv.ValidateFunction;
    protected _validateAccount: Ajv.ValidateFunction;
    constructor();
    loadDefaults(): void;
    loadFromEnv(env?: NodeJS.ProcessEnv): void;
    loadFromOpts(opts: object): void;
    validate(config: object): void;
    validateAccount(id: string, accountInfo: any): void;
    get(key: string): any;
}
