/// <reference types="node" />
import Config from '../services/config';
import Accounts from '../services/accounts';
import RouteBroadcaster from '../services/route-broadcaster';
import RouteBuilder from '../services/route-builder';
import IlpPrepareController from '../controllers/ilp-prepare';
import reduct = require('reduct');
export default class Core {
    protected config: Config;
    protected accounts: Accounts;
    protected routeBroadcaster: RouteBroadcaster;
    protected routeBuilder: RouteBuilder;
    protected ilpPrepareController: IlpPrepareController;
    constructor(deps: reduct.Injector);
    processData(data: Buffer, accountId: string, outbound: (data: Buffer, accountId: string) => Promise<Buffer>): Promise<Buffer>;
}
