/// <reference types="node" />
import Accounts from './accounts';
import RoutingTable from './routing-table';
import RateBackend from './rate-backend';
import Config from './config';
import reduct = require('reduct');
import * as IlpPacket from 'ilp-packet';
export default class RouteBuilder {
    protected accounts: Accounts;
    protected routingTable: RoutingTable;
    protected backend: RateBackend;
    protected config: Config;
    protected isTrivialRate: boolean;
    constructor(deps: reduct.Injector);
    getNextHop(sourceAccount: string, destinationAccount: string): string;
    getNextHopPacket(sourceAccount: string, sourcePacket: IlpPacket.IlpPrepare): Promise<{
        nextHop: string;
        nextHopPacket: {
            amount: string;
            expiresAt: Date;
            executionCondition: Buffer;
            destination: string;
            data: Buffer;
        };
    }>;
    _getDestinationExpiry(sourceExpiry: Date): Date;
    _verifyPluginIsConnected(account: string): void;
}
