import * as Prometheus from 'prom-client';
import { AccountInfo } from '../types/accounts';
export declare class AccountCounter extends Prometheus.Counter {
    constructor(configuration: Prometheus.CounterConfiguration);
    increment(account: {
        accountId: string;
        accountInfo: AccountInfo;
    }, labels: Prometheus.labelValues, value?: number): void;
}
export declare class AccountGauge extends Prometheus.Gauge {
    constructor(configuration: Prometheus.GaugeConfiguration);
    setValue(account: {
        accountId: string;
        accountInfo: AccountInfo;
    }, labels: Prometheus.labelValues, value: number): void;
}
export default class Stats {
    incomingDataPackets: AccountCounter;
    incomingDataPacketValue: AccountCounter;
    outgoingDataPackets: AccountCounter;
    outgoingDataPacketValue: AccountCounter;
    incomingMoney: AccountGauge;
    outgoingMoney: AccountGauge;
    rateLimitedPackets: AccountCounter;
    rateLimitedMoney: AccountCounter;
    balance: AccountGauge;
    private registry;
    constructor();
    getStatus(): Prometheus.metric[];
    getRegistry(): Prometheus.Registry;
}
