"use strict";
const log_1 = require("../common/log");
const log = log_1.create('memdown-store');
class MemoryStore {
    constructor() {
        this.db = new Map();
        log.info('initialize in-memory database.');
        log.warn('(!!!) balances and other important state will NOT persist across sessions. DO NOT DO THIS IN PRODUCTION!');
    }
    async get(key) {
        return this.db.get(key);
    }
    async put(key, value) {
        return this.db.set(key, value);
    }
    async del(key) {
        return this.db.delete(key);
    }
}
module.exports = MemoryStore;
//# sourceMappingURL=memory.js.map